import { OnInit, ElementRef, AfterViewChecked, ChangeDetectorRef } from '@angular/core';
export declare class HammerjsCarouselComponent implements OnInit, AfterViewChecked {
    private cdRef;
    private slidesInternal;
    get slides(): string[];
    set slides(value: string[]);
    maxNumberOfVisibileInPagination: number;
    get slidesForPagination(): string[];
    sliderWrapper: ElementRef;
    sliderTransformStyle: string;
    isAnimating: boolean;
    slideCount: number;
    isTouchDevice: boolean;
    width: number;
    private activeSlideIndex;
    private sensitivity;
    private animatingTimeout;
    constructor(cdRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewChecked(): void;
    onPan(e: any): void;
    previousSlide(): void;
    nextSlide(): void;
    goToSlide(slide: string): void;
    goToSlideIndex(slideIndex: number): void;
    isActive(slide: string): boolean;
    getWidthStyle(): string;
    getMarginStyle(): string;
}
